{% if document is not null %}
    {% import "@ChillDocStore/Macro/macro_mimeicon.html.twig" as mm %}
    <div class="flex-table accompanying-course-work">
        {% if is_granted('CHILL_MAIN_ACCOMPANYING_PERIOD_WORK_EVALUATION_DOCUMENT_SHOW', document) %}
            {% set doc = document %}
            <div class="item-bloc evaluation-item bg-chill-llight-gray">
                <div class="item-row mb-2">
                    <h1>{{ "Document"|trans }}: {{ doc.title }}</h1>
                </div>
                <div class="item-row mb-2">
                    <h2 class="badge-title">
                        <span class="title_label"></span>
                        <span class="title_action">
                        {{ evaluation.accompanyingPeriodWork.socialAction|chill_entity_render_string }}
                        <ul class="small_in_title columns mt-1">
                            <li>
                                <span class="item-key">{{ 'accompanying_course_work.start_date'|trans ~ ' : ' }}</span>
                                <b>{{ evaluation.accompanyingPeriodWork.startDate|format_date('short') }}</b>
                            </li>
                            {% if evaluation.accompanyingPeriodWork.endDate %}
                                <li>
                                    <span class="item-key">{{ 'accompanying_course_work.end_date'|trans ~ ' : ' }}</span>
                                    <b>{{ evaluation.accompanyingPeriodWork.endDate|format_date('short') }}</b>
                                </li>
                            {% endif %}
                        </ul>
                    </span>
                    </h2>
                </div>
                <div class="item-row mb-2">
                    <div class="item-col" style="width: 17%;">
                        <h4 class="title_label">
                            {{ 'Participants'|trans }}
                        </h4>
                    </div>
                    <div class="item-col list">
                        {% for p in evaluation.accompanyingPeriodWork.persons %}
                            {% include '@ChillMain/OnTheFly/_insert_vue_onthefly.html.twig' with {
                                targetEntity: { name: 'person', id: p.id },
                                action: 'show',
                                displayBadge: true,
                                buttonText: p|chill_entity_render_string,
                                isDead: p.deathdate is not null
                            } %}
                        {% endfor %}
                    </div>
                </div>
                <div class="item-row column">
                    <table class="obj-res-eval my-3">
                        <thead>
                        <tr>
                            <th class="eval">
                                <h4 class="title_label">
                                    {{ 'Évaluation'|trans }}
                                </h4>
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <td class="eval">
                                <ul class="eval_title">
                                    <li class="my-2">
                                        {{ evaluation.evaluation.title|localize_translatable_string }}
                                        <ul class="columns pt-2">
                                            <li>
                                                <span class="item-key">{{ 'accompanying_course_work.start_date'|trans ~ ' : ' }}</span>
                                                <b>{{ evaluation.startDate|format_date('short') }}</b>
                                            </li>
                                            {% if evaluation.endDate %}
                                                <li>
                                                    <span class="item-key">{{ 'accompanying_course_work.end_date'|trans ~ ' : ' }}</span>
                                                    <b>{{ evaluation.endDate|format_date('short') }}</b>
                                                </li>
                                            {% endif %}
                                            {% if evaluation.maxDate %}
                                                <li>
                                                    <span class="item-key">{{ 'accompanying_course_work.max_date'|trans ~ ' : ' }}</span>
                                                    <b>{{ evaluation.maxDate|format_date('short') }}</b>
                                                </li>
                                            {% endif %}
                                            {% if evaluation.warningInterval and evaluation.warningInterval.d > 0 %}
                                                <li>
                                                    {% set days = (evaluation.warningInterval.d + evaluation.warningInterval.m * 30) %}
                                                    <span class="item-key">{{ 'accompanying_course_work.warning_interval'|trans ~ ' : ' }}</span>
                                                    {{ 'accompanying_course_work.%days% days before max_date'|trans({'%days%': days }) }}
                                                </li>
                                            {% endif %}
                                            <li>
                                                {% if evaluation.createdBy is not null %}
                                                    <span class="item-key">créé par</span>
                                                    <b>{{ evaluation.createdBy.username }}</b>
                                                {% endif %}
                                                {% if evaluation.createdAt is not null %}
                                                    <span class="item-key">{{ 'le'|trans }}</span>
                                                    <b>{{ evaluation.createdAt|format_date('short') }}</b>
                                                {% endif %}
                                            </li>
                                        </ul>
                                        {% if evaluation.comment %}
                                            <blockquote class="chill-user-quote" style="margin-left: 0;">
                                                {{ evaluation.comment }}
                                            </blockquote>
                                        {% endif %}
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="item-row">
                    <ul class="record_actions">
                        <li>
                            <a class="btn btn-show"
                               href="{{ path('chill_person_accompanying_period_work_show', { 'id': document.accompanyingPeriodWorkEvaluation.accompanyingPeriodWork.id }) }}"
                               title="{{ 'See the document'|trans }}"></a>
                        </li>
                    </ul>
                </div>
            </div>

        {% else %}
            <div class="alert alert-warning border-warning border-1">
                {{ 'This is the minimal period details'|trans ~ ': ' ~ document.id }}<br>
                {{ 'You are getting a notification for a period you are not allowed to see'|trans }}
            </div>
        {% endif %}
    </div>
{% else %}
    <div class="alert alert-warning border-warning border-1">
        {{ 'You are getting a notification for a period which does not exists any more'|trans }}
    </div>
{% endif %}
